cancel
Showing results for 
Search instead for 
Did you mean: 
safaalz
Level 8
Report Inappropriate Content
Message 1 of 13

Epo 5.1.1 to 5.3 Falied

Hi All

We have ePo5.1.1 and I tried to upgrade it to 5.3 , My old 5.1.1 is running on 2012 and 2012 SQL server .

During the installation the icon of  ePO5.3 appear then disappred by itself ,The installation stuck on enabling the servies then its exit with error message

And I tried to run my old ePO server but the services did not start again .

Anyone encounter the same issue with 5.3 upgrade

With Regards.

Fadi Alzain

12 Replies
twenden
Level 13
Report Inappropriate Content
Message 2 of 13

Re: Epo 5.1.1 to 5.3 Falied

I didn't have the exact issue you are having but did have installation failure where it would roll back. McAfee support got my solution fixed which turned out to be having 8.3 naming convention disabled. Below are some KB articles that McAfee gave me reference to.

https://kc.mcafee.com/corporate/index?page=content&id=KB76739&actp=null&viewlocale=en_US&showDraft=f...

https://kc.mcafee.com/corporate/index?page=content&id=kb51431

Re: Epo 5.1.1 to 5.3 Falied

I would also start at looking at the install log files on the server itself, it might provide some insight into where you are having problems. See link below for log file locations.

https://kb.mcafee.com/resources/sites/MCAFEE/content/live/PRODUCT_DOCUMENTATION/24000/PD24809/en_US/...

lantuin
Level 7
Report Inappropriate Content
Message 4 of 13

Re: Epo 5.1.1 to 5.3 Falied

I've got same issue :-(

EPO530-Error.ini:

[ErrorLog]

ErrorString=FAILURE: In XCopyFile to copy files with return code [-2147418113].

Catastrophic failure

Source = [C:\Program Files (x86)\McAfee\Backup of ePolicy Orchestrator\DB\*.*]

Target = [C:\Program Files (x86)\McAfee\ePolicy Orchestrator\DB]

EPO530-Install-MSI.LOG:

[...]

=== Fine registrazione: 04/06/2015  17:26:42 ===

MSI (c) (94:94) [17:26:42:523]: Note: 1: 1708

MSI (c) (94:94) [17:26:42:523]: Transforming table Error.

MSI (c) (94:94) [17:26:42:523]: Transforming table Error.

MSI (c) (94:94) [17:26:42:523]: Prodotto: McAfee ePolicy Orchestrator -- Impossibile completare l'operazione di installazione.

MSI (c) (94:94) [17:26:42:523]: Windows Installer installed the product. Product Name: McAfee ePolicy Orchestrator. Product Version: 5.3.0. Product Language: 1040. Manufacturer: McAfee, Inc.. Installation success or error status: 1603.

MSI (c) (94:94) [17:26:42:523]: Grabbed execution mutex.

MSI (c) (94:94) [17:26:42:523]: Cleaning up uninstalled install packages, if any exist

MSI (c) (94:94) [17:26:42:539]: MainEngineThread is returning 1603

=== Verbose logging stopped: 04/06/2015  17:26:42 ===

Re: Epo 5.1.1 to 5.3 Falied

I am having a similar rollback problem problem with 5.3, I have also tried Patch 5.1.2 with similar results  I seem to be missing this  AvertAlerts (version 5.1.2.348) in my ePO

[ErrorLog]
ErrorString=FAILURE: In LaunchApplication while trying to run the following program:
ActionName=Prod_InstallEpoCore
Task=Checking in epoST
"C:\Users\a3246\AppData\Local\Temp\2\McAfeeLogs\EPO510-Troubleshoot\OutputFiles\epoST.bat"

Return code: 1

[epoST.err]  - C:\ProgramData\McAfee\ePolicy Orchestrator\InstallLogs\EPO510-Troubleshoot\OutputFiles

Error encountered while running command:ext.install extension=file:///D:/PROGRA~1/McAfee/EPOLIC~1/INSTAL~1/ePO/EXTENS~2/epoST.zip

java.io.IOException: Error 0 :
Installation error:
upgrade:
     [echo] Upgrade called for AvertAlerts (version 5.1.2.348)

upgrade4.0:

upgrade4.5:

upgrade4.6:

BUILD FAILED
D:\PROGRA~1\McAfee\EPOLIC~1\server\extensions\installed\AvertAlerts\5.1.2.348\install.xml:34: Cannot upgrade webapp:/AvertAlerts; it was not installed by previous version of this extension.

Total time: 0 seconds

lantuin
Level 7
Report Inappropriate Content
Message 6 of 13

Re: Epo 5.1.1 to 5.3 Falied

Hi Philip,

I think this is a different from my error. Have you tried to uninstall "AvertAlerts" Extension?

Re: Epo 5.1.1 to 5.3 Falied

i was thinking in that direction, lunch time got in the way. Iwill give that a try and post the results

lantuin
Level 7
Report Inappropriate Content
Message 8 of 13

Re: Epo 5.1.1 to 5.3 Falied

Ok, let us know :-)

If you're able to upgrade, I think 5.1.2 becomes a prerequisite!!

Re: Epo 5.1.1 to 5.3 Falied

as far as I have read you should be able to upgrade from 5.1.1 to 5.1.3 directly

Re: Epo 5.1.1 to 5.3 Falied

my ePO shows Version 5.1.1.357 installed, The "Remove" option is NOT available

i will have to try to find an actual version